using System;

namespace prijatelji
{
    class Program
    {
        struct takmicar 
        {
            public int a;
            public int br_pr;
            public int br_npr;
            public int rp;

        }
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int su = 0;
            takmicar[] takmicari = new takmicar[n];
       
            for (int i = 0; i < n; i++)
            {
                takmicari[i].a = int.Parse(Console.ReadLine());
            }
            for (int i = 0; i < m; i++)
            {   
                string[] str = Console.ReadLine().Split();

                if (DaLiSuPrijatelji(str,takmicari)) 
                { 
                    takmicari[int.Parse(str[0]) - 1].br_pr++;
                    takmicari[int.Parse(str[1]) - 1].br_pr++;
                }
                else
                {
                    takmicari[int.Parse(str[0]) - 1].br_npr = takmicari[int.Parse(str[0]) - 1].br_npr + 1;
                    takmicari[int.Parse(str[1]) - 1].br_npr++;
                }

                takmicari[int.Parse(str[0]) - 1].rp = takmicari[int.Parse(str[0]) - 1].br_pr - takmicari[int.Parse(str[0]) - 1].br_npr;
                takmicari[int.Parse(str[1]) - 1].rp = takmicari[int.Parse(str[1]) - 1].br_pr - takmicari[int.Parse(str[1]) - 1].br_npr;
            }

            for (int i = 0; i < n; i++)
            {
                su += (takmicari[i].a * (takmicari[i].br_pr - takmicari[i].br_npr));
            }
            Console.WriteLine(su);

        }

        private static bool DaLiSuPrijatelji(string[] s,takmicar[] takmicari)
        {
            if ((takmicari[int.Parse(s[0]) - 1].a < 0 & takmicari[int.Parse(s[1]) - 1].a < 0) || 
                (takmicari[int.Parse(s[0]) - 1].rp == 0 & takmicari[int.Parse(s[1]) - 1].a < 0)||
                (takmicari[int.Parse(s[1]) - 1].rp == 0 & takmicari[int.Parse(s[0]) - 1].a < 0)) return false;
            else return true;

        }
    }
}